GENDEBUG(1)

NAME
gendebug - generate C++/Qt code for printing debug output

SYNOPSIS
gendebug [[ -label ] var ] ...

DESCRIPTION
This manual page documents briefly the gendebug command. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

gendebug generates a series of C++/Qt statements that can be used to print debugging output giving the value of each variable var. The generated code is written to standard output.

Note that you can pass several variable names to gendebug at once.

This utility is part of the KDE Software Development Kit.

OPTIONS

-label
    Print variable var with the label label. If not specified, the label will simply be var.

AUTHOR
gendebug was written by David Faure <faure@kde.org>.
This manual page was written by Ben Burton <benb@acm.org> for the Debian GNU/Linux system (but may be used by others).